<?php    
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Luzuk Premium
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css" rel="stylesheet">
	<script src="https://use.fontawesome.com/18a9c36ed1.js"></script>
	<link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css" rel="stylesheet">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/animate.css" />

	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Courgette&display=swap" rel="stylesheet">

	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
	<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap" rel="stylesheet">


<link href="https://fonts.googleapis.com/css2?family=Balsamiq+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Open+Sans:ital,wght@0,300;0,400;0,600;0,700;0,800;1,300;1,400;1,600;1,700;1,800&display=swap" rel="stylesheet">

	<script src="<?php echo get_template_directory_uri(); ?>/js/jquery-3.1.1.slim.min.js" crossorigin="anonymous"></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/bootstrap.min.js" type="text/javascript"  ></script>
	<script src="<?php echo get_template_directory_uri(); ?>/js/wow.js" ></script>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<div class="main-container">
		<!-- <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'InsideTours' ); ?></a> -->
		<div id="loading-area"><div class="la-anim-10"></div></div>
		<!-- header -->
		<!-- #masthead -->
		<header class="site-header header-transparent header mo-left header-seo">
		
		<div class="top-bar-head">
			<div class="container clearfix">
				<div class="header-nav-area">
				<div class="col-md-3 col-sm-3 col-xs-4 logo-shadow pd-0">
                	<div class="logo-box">
                	<div class="hl-border">
						<?php 
						
							if( get_theme_mod('pages_logoTopsetmaxwidth',true) ) {
								$pages_logoTopsetmaxwidth = 'max-width:'.esc_attr(get_theme_mod('pages_logoTopsetmaxwidth')).';';
							}
							if( get_theme_mod('pages_logoToppadding',true) ) {
								$pages_logoToppadding = 'top-padding:'.esc_attr(get_theme_mod('pages_logoToppadding')).';';
							}
							if( get_theme_mod('pages_logobottompadding',true) ) {
								$pages_logobottompadding = 'bottom-padding:'.esc_attr(get_theme_mod('pages_logobottompadding')).';';
							}							

							?>
							<!-- website logo -->
							<div class="logo-header mostion">
							
								<?php 
								if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
									the_custom_logo();
							else : 
								if ( is_front_page() ) : ?>
									<h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
									<?php else : ?>
										<p class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
									<?php endif; ?>
								<?php endif; ?>
							</div> 
							<p class="ht-site-description"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'description' ); ?></a></p>  
							<!-- nav toggle button -->
							<div class="resp_header_logo">
								<?php 
								if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) :
									the_custom_logo();
							else : 
								if ( is_front_page() ) : ?>
									<h1 class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
									<?php else : ?>
										<p class="ht-site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
									<?php endif; ?>
									
								<?php endif; ?>
							</div>
								
						</div>
						<div class="clearfix"></div>
					</div> 
				</div>
				<div class="col-md-offset-3 col-md-6 col-sm-9 col-xs-8 ">
	                <div class="header-share ">
                <?php 	
					$phone = get_theme_mod('header_phone', '+926-3434-962');
					$email = get_theme_mod('header_email', 'info@gmail.com');

					$facebook = get_theme_mod('header_fb', 'https://facebook.com/');
					$instagram = get_theme_mod('header_insta', 'https://www.instagram.com/');
					$twitter = get_theme_mod('header_tw', 'https://twitter.com/');
					$linkedin = get_theme_mod('header_li', 'https://www.linkedin.com/');
					
				?>
						<div class="share-btn">
							<?php if($email){ ?>
							<li>
								<div class="hd-email ">
								<a href="mailto:<?php echo $email;?>">
									<i class="fa fa-envelope " aria-hidden="true"></i><span class="tooltiptext"><?php echo $email;?></span>
								</a>
								</div>
							</li>
							<?php } ?>
							
							<?php if($phone){ ?>
							<li>
								<div class="hd-contact ">							
									<a href="tel:<?php echo $phone;?>"><i class="fa fa-phone"></i><span class="tooltiptext"><?php echo $phone ;?></span>	<div class="btnborder"></div>	
									</a>
									<div class="clearfix"></div>
								</div>
							</li>
							<?php } ?>
						</div>
						<div class="clearfix"></div>
					</div>
				</div>
				<div class="clearfix"></div>
				<div class="main-head">
				  <div class=" col-md-10 col-sm-2 col-xs-2 menubx">
	                <div class="header-menu">
						<div class="site-navigation">
	                        <div class="nav-menus">                 
								<a class="js-nav-toggle">
									<span></span>
								</a>
								<div class="nav-wrapper">
									<nav role="navigation">
										<div class="nav-toggle">
											<span class="nav-back"></span>
											<span class="nav-title">Menu</span>
											<span class="nav-close"></span>
										</div>
										<?php
	                                      if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
	                                          wp_nav_menu ( array(
	                                              'menu_class' => 'mainm ht-clearfix',
	                                              'container'=> 'ul',
	                                              'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
	                                              'theme_location' => 'primary',  
	                                          )); 
	                                      } else {
	                                          wp_nav_menu ( array(
	                                              'menu_class' => 'mainm ht-clearfix',
	                                              'container'=> 'ul',
	                                              'theme_location' => 'primary',  
	                                          )); 
	                                      }
		                                ?>
									</nav>
								</div>
							</div>
	                        <nav class="navigation">
	                            <div class="overlaybg"></div><!--  /.overlaybg -->
	                            <!-- Main Menu -->
	                            <div class="menu-wrapper">
	                                <div class="menu-content">
	                                    <?php
	                                        if( get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true) !=='0') {
	                                            wp_nav_menu ( array(
	                                                'menu_class' => 'mainmenu ht-clearfix',
	                                                'container'=> 'ul',
	                                                'menu' => get_post_meta( get_the_ID(), 'intrinsic_header_page_menu', true),
	                                                'theme_location' => 'primary',  
	                                            )); 
	                                        } else {
	                                            wp_nav_menu ( array(
	                                                'menu_class' => 'mainmenu ht-clearfix',
	                                                'container'=> 'ul',
	                                                'theme_location' => 'primary',  
	                                            )); 
	                                        }
	                                    ?>
	                                </div> <!-- /.hours-content-->
									<div class="clearfix"></div>
	                            </div><!-- /.menu-wrapper -->
	                        </nav>
	                        <div class="clearfix"></div>
	                    	
	                    </div><!--  /.site-navigation -->
	                </div>
	            </div>
				 <div class=" col-md-2 col-sm-10 col-xs-10 mob-media m-media">
				 	<div class="">
				 		<button type="button" class="btnn soc-icn"><i class="fa fa-share-alt" aria-hidden="true"></i> </button>
					 	<div class="social-media">
							<ul>
								<?php if(!empty($facebook)){ ?>
									<li><a href="<?php echo $facebook ?>" title="Facebook" class="site-button sharp" target="_blank"><i class="fa fa-facebook"></i></a></li>
								<?php }?>

								<?php if(!empty($instagram)){ ?>
									<li><a href="<?php echo $instagram ?>" title="Instagram" class="site-button sharp" target="_blank"><i class="fa fa-instagram" aria-hidden="true"></i></a></li>
								<?php }?>

								<?php if(!empty($twitter)){ ?>
									<li><a href="<?php echo $twitter ?>" title="Twitter" class="site-button sharp" target="_blank"><i class="fa-brands fa-x-twitter"></i></a></li>
								<?php }?>

								<?php if(!empty($linkedin)){ ?>
									<li><a href="<?php echo $linkedin ?>" title="Linkedin" class="site-button sharp" target="_blank"><i class="fa fa-linkedin" aria-hidden="true"></i></a></li>
								<?php }?>

								<div class="clearfix"></div>
							</ul>
						</div>
					</div>
				 </div>
				 <div class="clearfix"></div>
			</div>
				<div class="clearfix"></div>
            </div>
				  </div>
				  
			<div class="clearfix"></div>
				</div> 
				<div class="clearfix"></div>
			</div>			
			<div class="clearfix"></div>
		</header>
	</div>
<script type="text/javascript">
    $( document ).ready(function() {
     $( "header .soc-icn" ).click(function(e) {
         $('header .social-media').not($(this).next( "header .social-media" )).each(function(){
            $(this).removeClass("active");
         });
     
            $(this).next( "header .social-media" ).toggleClass( "active" );
    });   
});
</script>